# Changelog

## [0.9.2] - 2024-04-10
### Added
- Завершена интеграция с Perplexity:
  * Поддержка веб-поиска с фильтрацией по доменам
  * Поддержка цитирования источников
  * Поддержка связанных вопросов
  * Поддержка изображений в результатах
  * Полное тестовое покрытие
- Расширено тестовое покрытие:
  * Тесты веб-поиска Perplexity
  * Тесты стриминга Perplexity
  * Тесты обработки ошибок
  * Тесты метаданных и цитат
- Улучшена безопасность:
  * Валидация входных данных
  * Безопасная обработка API ключей
  * Аудит безопасности кода

### Changed
- Обновлена документация:
  * Добавлены примеры использования Perplexity
  * Обновлены инструкции по установке
  * Добавлено руководство по миграции
  * Обновлена информация о провайдерах
- Оптимизирована обработка ошибок:
  * Улучшены сообщения об ошибках
  * Добавлены рекомендации по исправлению
  * Расширена классификация ошибок

### Fixed
- Исправлена обработка стриминга в Perplexity
- Исправлена валидация параметров веб-поиска
- Исправлена агрегация цитат при стриминге

## [0.9.0] - 2024-04-07
### Added
- Интеграция с Anthropic Claude 3
  - Поддержка моделей claude-3-haiku-20240307, claude-3-5-sonnet-latest, claude-3-5-haiku-latest
  - Комплексное тестовое покрытие
- Базовая интеграция с Gemini Pro
  - Поддержка чат-модели
  - Оценка использования токенов
  - Базовое тестовое покрытие
- Интеграция с DeepSeek
  - Поддержка чат-модели
  - Базовое тестовое покрытие
- Новый скрипт тестирования t.sh с улучшенным UX
  - Цветной вывод результатов тестов
  - Отслеживание прогресса для каждого провайдера
  - Улучшенная отчетность о тестах
- Начата интеграция с Perplexity
  - Добавлена защита файлов провайдера
  - Определены зависимости
  - Подготовлена структура тестов

### Changed
- Обновлена инфраструктура тестирования
  - Замена run_tests.sh на t.sh
  - Добавлена поддержка эмодзи для лучшего UX
  - Улучшено отображение прогресса тестов
- Обновлена структура документации проекта
  - Добавлены подробные руководства по внесению изменений
  - Расширена документация по тестированию
  - Обновлены правила стабильности
- Обновлены все зависимости до актуальных версий
  - openai>=1.12.0
  - anthropic>=0.9.0
  - google-generativeai>=0.3.0
  - perplexity-ai>=0.3.0
  - together>=0.2.0
  - И другие основные зависимости

### Removed
- Удален устаревший скрипт run_tests.sh

### Security
- Усилены механизмы защиты стабильности
  - Добавлены защитные комментарии ко всем методам провайдеров
  - Создан файл .cursorrules со списком защищенных файлов
  - Добавлено требование тройного подтверждения для защищенных файлов

## [0.1.0] - 2024-03-27
### Added
- Стабильная интеграция с OpenAI (stable_openai_v1)
- Стабильная интеграция с Together AI (stable_together_v1)
- Стабильная интеграция с Anthropic (stable_anthropic_v1)
- Базовая структура проекта
- Система переключения стратегий через переменные окружения
- Комплексные тесты переключения стратегий

### Changed
- Обновлена модель по умолчанию Together AI на meta-llama/Llama-Vision-Free
- Улучшена обработка ошибок и метаданных

### Security
- Добавлены правила защиты для интеграций OpenAI и Together AI
- Обновлены зависимости и требования к безопасности 