# Send2LLM Strategy

Универсальный интерфейс для работы с различными LLM провайдерами с поддержкой стратегий обработки запросов.

## Основные возможности

- 🤖 Поддержка множества LLM провайдеров
- 📝 Различные форматы вывода (raw, text, markdown, html)
- 🔄 Стратегии обработки запросов
- 🛠️ Удобный CLI интерфейс
- 📊 Система логирования и анализа
- ⚙️ Гибкая конфигурация

## Быстрый старт

1. Установка:
```bash
python -m venv venv
source venv/bin/activate
pip install -r requirements.txt
```

2. Настройка:
- Создайте `.env` файл на основе `.env.example`
- Укажите API ключи провайдеров
- Настройте модели по умолчанию

3. Использование:
```bash
# Одиночный запрос
send2llm "Ваш текст"

# Интерактивный режим
send2llm interactive

# Просмотр конфигурации
send2llm config

# Управление логами
send2llm logs
```

## Документация

- [Установка](INSTALLATION.md)
- [Архитектура](ARCHITECTURE.md)
- [API](API.md)
- [Стратегии](STRATEGIES.md)
- [Конфигурация](CONFIG_SYSTEM.md)
- [Тестирование](TESTING.md)
- [Развертывание](DEPLOYMENT.md)
- [Участие в разработке](CONTRIBUTING.md)

## Лицензия

MIT 